org.apache.maven.scm.provider.tfs

## Class TfsScmProviderRepository

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.tfs.TfsScmProviderRepository

-     public class TfsScmProviderRepository
      extends ScmProviderRepository

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TfsScmProviderRepository(String tfsUrl, String user, String password, String serverPath, String workspace)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getServerPath()`
    `String` | `getTfsUrl()`
    `String` | `getUserPassword()`
    `String` | `getWorkspace()`

    - ### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

      `getParent, getPassword, getRelativePath, getUser, isPersistCheckout, setPassword, setPersistCheckout, setUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TfsScmProviderRepository

          public TfsScmProviderRepository(String tfsUrl,
                                  String user,
                                  String password,
                                  String serverPath,
                                  String workspace)

  - ### Method Detail

    - #### getTfsUrl

          public String getTfsUrl()

    - #### getWorkspace

          public String getWorkspace()

    - #### getServerPath

          public String getServerPath()

    - #### getUserPassword

          public String getUserPassword()

Copyright © 2003–2015. All rights reserved.